Bug 246461 - x11-wm/compiz-plugins-main: transfer MAINTAINER on compiz and some related ports
Summary: x11-wm/compiz-plugins-main: transfer MAINTAINER on compiz and some related ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Niclas Zeising
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2020-05-14 05:48 UTC by Chris Hutchinson
Modified: 2020-06-26 08:21 UTC (History)
3 users (show)

See Also:
freebsd-ports: maintainer-feedback+
zeising: merge-quarterly?


Attachments
svn diff for compiz & related (3.31 KB, patch)
2020-05-14 05:48 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2020-05-14 05:48:53 UTC
Created attachment 214478 [details]
svn diff for compiz & related

x11-wm/compiz and many, if not all it's plugins are
currently unfetchable. The MASTER_SITES listed, while
still visible, will not surrender the files upon request.
This has been the case since ~2012. This is explained,
as well as future plans for the compiz & related ports
in [bug #246442]. So I'll not rewrite them here. The
current maintainer for this and several other related
ports indicated that I could take over MAINTAINER for
all compiz, and related ports he currently maintains[0]

The svn diff attached to this pr transfers compiz,
and the related ports Dan maintains to me. It also
changes MASTER_SITES for these ports. So that they
can be built again.

CHANGES

Makefile:
MASTER_SITES
MAINTAINER

That's it. Thanks!

--Chris

 0 [bug #246442]
Comment 1 Daniel Austin 2020-05-14 10:36:29 UTC
Good luck Chris - I'm glad someone with more time can take on these ports.
Comment 2 Chris Hutchinson 2020-06-07 03:59:26 UTC
ping
Comment 3 Niclas Zeising freebsd_committer 2020-06-14 15:53:08 UTC
I'll work on this
Comment 4 commit-hook freebsd_committer 2020-06-14 16:02:14 UTC
A commit references this bug:

Author: zeising
Date: Sun Jun 14 16:01:52 UTC 2020
New revision: 538818
URL: https://svnweb.freebsd.org/changeset/ports/538818

Log:
  Reset maintainer on compiz and related ports

  Reset the maintainer on x11-wm/compiz and a few related ports.
  Update MASTERDIR to make them fetchable again.

  PR:		246461 246442
  Submitted by:	Chris Hutchinson (new maintainer)
  Approved by:	Daniel Austin (previous maintainer)
  MFH:		2020Q2

Changes:
  head/x11-wm/compiz/Makefile
  head/x11-wm/compiz-plugins-main/Makefile
  head/x11-wm/compizconfig-backend-gconf/Makefile
  head/x11-wm/compizconfig-python/Makefile
  head/x11-wm/emerald/Makefile
  head/x11-wm/libcompizconfig/Makefile
Comment 5 Niclas Zeising freebsd_committer 2020-06-14 16:05:02 UTC
Committed, awaiting MFH for the MASTERDIR update.
Thank you to Daniel Austin for their work taking care of these ports in the past!
Comment 6 commit-hook freebsd_committer 2020-06-15 17:51:22 UTC
A commit references this bug:

Author: zeising
Date: Mon Jun 15 17:50:28 UTC 2020
New revision: 538925
URL: https://svnweb.freebsd.org/changeset/ports/538925

Log:
  MFH: r538818

  Reset maintainer on compiz and related ports

  Reset the maintainer on x11-wm/compiz and a few related ports.
  Update MASTERDIR to make them fetchable again.

  PR:		246461 246442
  Submitted by:	Chris Hutchinson (new maintainer)
  Approved by:	Daniel Austin (previous maintainer)

  Approved by:	ports-secteam (joenum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/x11-wm/compiz/Makefile
  branches/2020Q2/x11-wm/compiz-plugins-main/Makefile
  branches/2020Q2/x11-wm/compizconfig-backend-gconf/Makefile
  branches/2020Q2/x11-wm/compizconfig-python/Makefile
  branches/2020Q2/x11-wm/emerald/Makefile
  branches/2020Q2/x11-wm/libcompizconfig/Makefile
Comment 7 Niclas Zeising freebsd_committer 2020-06-15 18:02:41 UTC
MFH complete, thank you!
Comment 8 Samy Mahmoudi 2020-06-16 12:52:21 UTC
Hi all,

What great news to see people are still interested in using compiz! I have got news too ;-)

I have been working on porting compiz-reloaded to FreeBSD for quite some time. I started in August 2018, e.g.

https://gitlab.com/compiz/compiz-core/-/commit/9087c38d59a448693560d355761ff38fba4737cc
https://gitlab.com/compiz/compiz-core/-/commit/24fa922b94cc6f126f778e07af5df34f3fc4c24e

I have been working again on this since a month and have pending changes that are WIP upstream (mainly intltool-to-gettext migration and build-related changes):

https://gitlab.com/compiz/compiz-plugins-main/-/merge_requests/82/commits
https://gitlab.com/compiz/compiz-plugins-extra/-/merge_requests/44/commits

FreeBSD ports are also nearly finished. I thought I would, at some point, ask to create new ports with a "-reloaded" suffix to let both compiz and compiz-reloaded ports coexist or request updates.

I also thank Daniel Austin for his work, really appreciated ! I am so dependent on Compiz ;-)
Comment 9 Samy Mahmoudi 2020-06-16 12:58:44 UTC
> I have been working again on this since a month
It has become quite urgent since ccsm has been EOLed, but hopefully compiz-reloaded has python3-ready ccsm!
Comment 10 Samy Mahmoudi 2020-06-16 13:07:28 UTC
(In reply to Chris Hutchinson from comment #0)

> I thought I would, at some point, ask to create new ports with a "-reloaded" suffix to let both compiz and compiz-reloaded ports coexist or request updates.
I have now read your plan and approach in bug 246442, so the question of creating new ports is indeed relevant.
Comment 11 Samy Mahmoudi 2020-06-16 13:26:27 UTC
Correction: in comment 8 and comment 9, I meant 'for a month', not 'since a month'...
Comment 12 Chris Hutchinson 2020-06-16 17:34:31 UTC
Hello, Samy. Welcome aboard! :-)
We should probably collaborate on this. But bugzilla
isn't the place. ;-)
Please feel free to email me directly. Maybe preface
the topic with compiz: so I can be sure to catch it. :-)

--Chris
Comment 13 Samy Mahmoudi 2020-06-26 08:21:04 UTC
(In reply to Chris Hutchinson from comment #12)
> We should probably collaborate on this.
Sure, my pleasure.

> Please feel free to email me directly.
I'll definitely do that.